{ modulesPath, lib, pkgs, ... }:

{
  imports = [
    (modulesPath + "/installer/sd-card/sd-image-aarch64.nix")
    <nixos-hardware/raspberry-pi/4>
    ../../common

    # services
    ../../shared-services/pulseaudio.nix
    ../../shared-services/nfs-client.nix
    ../../shared-services/mpd.nix
    ../../shared-services/ympd.nix
    ../../shared-services/spotifyd.nix
    ../../shared-services/desktop.nix
    ../../shared-services/vnc.nix
    ../../shared-services/webserver.nix
  ];

  # We import sd-image-aarch64.nix so we can build a config.system.build.sdImage
  # But it imports some modules we don't want, so disable them
  disabledModules = [
    "profiles/base.nix"
    "profiles/all-hardware.nix"
  ];

  networking.hostName = "bemmer";
  networking.domain = "c3h";
  networking.useDHCP = true;

  nixpkgs.system = "aarch64-linux";
  hardware.raspberry-pi."4".fkms-3d.enable = true;
  boot.tmpOnTmpfs = true; # building stuff on sd-card is slow

  system.stateVersion = "21.05";
}
