{ pkgs, ... }:

{
  users.users.c3h.packages = with pkgs; [
    chromium
    firefox
    mpv
    youtube-dl
    pavucontrol
    dosbox
    vlc
    ffmpeg-full
    sox
  ];

  services.xserver = {
    enable = true;
    layout = "de";

    videoDrivers = [ "modesetting" ];
    useGlamor = true;

    displayManager.lightdm.enable = true;
    displayManager.autoLogin.enable = true;
    displayManager.autoLogin.user = "c3h";

    desktopManager.mate.enable = true;
  };

  programs.chromium = {
    enable = true;
    extensions = [
      "cjpalhdlnbpafiamejdnhcphjbkeiagm" # ublock origin
    ];
    extraOpts = {
      DefaultSearchProviderEnabled = true;
      DefaultSearchProviderName = "DuckDuckGo";
      DefaultSearchProviderIconURL = "https://duckduckgo.com/favicon.ico";
      DefaultSearchProviderSearchURL = "https://duckduckgo.com/?q={searchTerms}";
      DefaultSearchProviderSuggestURL = "https://duckduckgo.com/ac/?q={searchTerms}&type=list";

      DefaultBrowserSettingEnabled = false;
      BlockThirdPartyCookies = true;

      BrowserSignin = 0;
      SyncDisabled = true;
      PasswordManagerEnabled = false;

      # Send less data to Google
      SafeBrowsingProtectionLevel = 0;
      UrlKeyedAnonymizedDataCollectionEnabled = false;
      SafeBrowsingExtendedReportingEnabled = false;
      SpellCheckServiceEnabled = false;
      AdvancedProtectionAllowed = false;
    };
  };
}
